> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# 获取钱包余额

> 返回账户钱包余额。

<script src="/locale-bridge.js" />


## OpenAPI

````yaml /openapi.zh-cn.json GET /v1/public/accounts/{account_id}/billing/wallet-balance
openapi: 3.1.0
info:
  title: Code API (Public)
  version: 1.0.0
servers:
  - url: https://api.hybridbox.io
security: []
paths:
  /v1/public/accounts/{account_id}/billing/wallet-balance:
    get:
      tags:
        - public-accounts
        - public-billing
      summary: 获取钱包余额
      description: 返回账户钱包余额。
      operationId: >-
        get_public_wallet_balance_v1_public_accounts__account_id__billing_wallet_balance_get
      parameters:
        - in: path
          name: account_id
          required: true
          schema:
            format: uuid
            title: Account Id
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicWalletBalanceResponse'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: 验证错误
      security:
        - PublicBearerAuth: []
components:
  schemas:
    PublicWalletBalanceResponse:
      properties:
        accrued_charges:
          description: 未开票的应计费用
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: 应计费用
          type: string
        balance:
          description: 当前钱包余额
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: 余额
          type: string
        currency:
          description: 钱包货币代码
          title: 货币
          type: string
        net_balance:
          description: 扣除应计费用后的钱包余额
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: 净余额
          type: string
      required:
        - balance
        - accrued_charges
        - net_balance
        - currency
      title: PublicWalletBalanceResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: 详情
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: 位置
          type: array
        msg:
          title: 消息
          type: string
        type:
          title: 错误类型
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    PublicBearerAuth:
      bearerFormat: JWT or Hybridbox Service account token
      description: >-
        Public API bearer credential sent as `Authorization: Bearer <token>`.
        Use either an OAuth access token or a Hybridbox Service account token.
      scheme: bearer
      type: http

````